Summary:	Remembers telnet and SSH sessions
Summary(pl.UTF-8):	Zapamiętywanie sesji telnet i SSH
Name:		putty
Version:	0.83
Release:	1
License:	MIT
Group:		X11/Applications/Networking
Source0:	https://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
# Source0-md5:	359980711bed6be12a015ae50a1d9be5
Source1:	%{name}.desktop
Source2:	%{name}tel.desktop
Source3:	pterm.desktop
URL:		https://www.chiark.greenend.org.uk/~sgtatham/putty/
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-png
BuildRequires:	cmake >= 3.7
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.0
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Obsoletes:	putty-X11 < 0.58-2
Obsoletes:	putty-pterm < 0.62
Obsoletes:	putty-puttytel < 0.62
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

%description -l pl.UTF-8
PuTTY jest darmową implementacją telnetu i SSH dla platform Win32,
łącznie z emulatorem terminala xterm, przeniesioną na platformę
uniksową.

%package progs
Summary:	PuTTY additional programs
Summary(pl.UTF-8):	Dodatkowe programy dla PuTTY
Group:		X11/Applications/Networking

%description progs
PuTTY is a free implementation of telnet and SSH for Win32 platforms,
along with an xterm terminal emulator, ported into Unix platform.

This package contains additional programs for PuTTY.

%description progs -l pl.UTF-8
PuTTY jest darmową implementacją telnetu i SSH dla platform Win32,
łącznie z emulatorem terminala xterm, przeniesioną na platformę
uniksową.

Ten pakiet zawiera dodatkowe programy dla PuTTY.

%prep
%setup -q

%build
install -d build
cd build
# override with no -DNDEBUG (don't disable asserts in putty, some of them can be security related)
# (see defs.h:14-23)
CFLAGS="%{rpmcflags}"
%cmake ..
%{__make}

cd ../icons
for size  in 16 32 48 64 96 128 ; do
	dir=hicolor/${size}x${size}/apps
	install -d $dir
	./mkicon.py -T putty_icon ${size} $dir/putty.png
	./mkicon.py -T pterm_icon ${size} $dir/pterm.png
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p build/puttytel $RPM_BUILD_ROOT%{_bindir}
cp -p doc/puttytel.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_desktopdir}}
cp -a icons/hicolor $RPM_BUILD_ROOT%{_iconsdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc LICENCE README
%attr(755,root,root) %{_bindir}/pterm
%attr(755,root,root) %{_bindir}/putty
%attr(755,root,root) %{_bindir}/puttytel
%{_mandir}/man1/pterm.1*
%{_mandir}/man1/putty.1*
%{_mandir}/man1/puttytel.1*
%{_desktopdir}/pterm.desktop
%{_desktopdir}/putty.desktop
%{_desktopdir}/puttytel.desktop
%{_iconsdir}/hicolor/*/apps/pterm.png
%{_iconsdir}/hicolor/*/apps/putty.png

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pageant
%attr(755,root,root) %{_bindir}/plink
%attr(755,root,root) %{_bindir}/pscp
%attr(755,root,root) %{_bindir}/psftp
%attr(755,root,root) %{_bindir}/psusan
%attr(755,root,root) %{_bindir}/puttygen
%{_mandir}/man1/pageant.1*
%{_mandir}/man1/plink.1*
%{_mandir}/man1/pscp.1*
%{_mandir}/man1/psftp.1*
%{_mandir}/man1/psusan.1*
%{_mandir}/man1/puttygen.1*
%changelog
* Sun Feb 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/putty.git;a=log;h=master

* Sun Feb 09 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 328cdcb
- up to 0.83

* Sat Dec 28 2024 Jan Rękorajski <baggins@pld-linux.org> 7082ce0
- Release 2 (by relup.sh)

* Fri Nov 29 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3ee82b0
- up to 0.82

* Wed Apr 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bd53dc8
- up to 0.81

* Sat Jan 13 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 53442b9
- up to 0.80

* Wed Aug 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 32e6e23
- updated URLs and dependencies, versioned Obsoletes; reenable asserts as advised by upstream

* Wed Aug 02 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0460b50
- up to 0.78

* Fri Jul 15 2022 Adam Osuchowski <adwol@pld-linux.org> 550d320
- up to 0.77
- switch from autotools to cmake
- dirty hack for cmake NDEBUG variable

* Mon Oct 14 2019 Adam Osuchowski <adwol@pld-linux.org> 1bf957e
- up to 0.73
- switch to autotools
- add pageant

* Sat Jun 04 2016 Jakub Bogusz <qboosh@pld-linux.org> f038e64
- BR: pkgconfig for gtk+ 2 detection

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> afe8094
- build/install cleanup

* Wed Mar 30 2016 Elan Ruusamäe <glen@delfi.ee> 826825b
- up to 0.67

* Thu Jul 19 2012 Artur Frysiak <artur@frysiak.net> 831c138
- Up to 0.62
Merge puttytel and pterm into main package
Generate icons

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 52895cb
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun May 20 2007 Paweł Gołaszewski <blues@pld-linux.org> 48f31e3
- 0.60

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3068711
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0d9618b
- converted to UTF-8

* Tue Jan 30 2007 lisu <lisu@pld-linux.org> f0ba2ee
- 0.59

* Mon Sep 25 2006 havner <havner@pld-linux.org> 54afee3
- this is bogus now as those manunals exist and are in different dir

* Sun Jul 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 52ad1d6
- updated pl descs

